PDA

View Full Version : HtmlEditor is messed up after upgrading from 2.1



dekely
25 Aug 2009, 12:45 AM
Hi,

After upgrading, all the icons look like the bold icon (B)

you can find a screenshot here:

http://img35.imageshack.us/i/htmleditor.jpg/][IMG]http://img35.imageshack.us/img35/6380/htmleditor.th.jpg

any idea?

thanks

Condor
25 Aug 2009, 12:48 AM
Did you also upgrade the css and image files and cleared your browser cache?

dekely
25 Aug 2009, 12:54 AM
Yep,

I copied the whole 3.0 folder.

This is the set of includes in my jsp, is it enough?



<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/SYSTEM/resources/js/extJS/resources/css/ext-all.css" />

<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/SYSTEM/resources/js/extJS/resources/css/xtheme-blue.css" />

<script type="text/javascript" src="${pageContext.request.contextPath}/SYSTEM/resources/js/extJS/adapter/ext/ext-base.js"></script>

<script type="text/javascript" src="${pageContext.request.contextPath}/SYSTEM/resources/js/extJS/ext-all.js"></script>

<script src="${pageContext.request.contextPath}/SYSTEM/resources/js/extJS-extensions/ext-ColorField.js"></script>
<script src="${pageContext.request.contextPath}/SYSTEM/resources/js/extJS-extensions/ext-DateTime.js"></script>

Condor
25 Aug 2009, 12:57 AM
1. xtheme-blue.css isn't required (it's already part of ext-all.css).
2. Are ext-ColorField.js and ext-DateTime.js compatible with the new Ext version?

dekely
25 Aug 2009, 1:46 AM
No,

It does not matter if I use them or not, still same issue.

Condor
25 Aug 2009, 2:31 AM
1. Are you sure your html page is using the new ext-all.css (check with Firebug)?
2. Did you clear your browser cache?

dekely
25 Aug 2009, 2:48 AM
Thank god, found it.

We have a wrapper to extJS because we also support themes
and in the wrapper it was the path to 2.1

thank you very much
Dekel